Thumbnails of images with "+" in filename do not show
Closed, ResolvedPublic

Description

At the Commons, there have been two recent error reports about thumbnails not being generated. The two files mentioned are

https://commons.wikimedia.org/wiki/File:ETM%2Bengineer_lg.jpg
File:Mount Everest 1980 - Norbu+Heinrich.jpg

The second one has in the meantime been moved to

File:Mount Everest 1980 - Norbu and Heinrich.jpg

which resolves the problem.

See also bug 8045, which was marked as "fixed" in 2007, but apparently without anybody knowing what "fixed" it.

Evidently this needs re-fixing.


Version: unspecified
Severity: major

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz42302.
Lupo created this task.Via LegacyNov 20 2012, 9:22 PM
Bawolff added a comment.Via ConduitNov 20 2012, 11:40 PM

CC'ing aaron as someone involved with swift on the off chance this is swift related.

aaron added a comment.Via ConduitNov 26 2012, 6:21 PM

(In reply to comment #3)

https://gerrit.wikimedia.org/r/35019

I had to add garbage to the https://upload.wikimedia.org/wikipedia/commons/thumb/6/61/ETM%2Bengineer_lg.jpg/675px-ETM%2Bengineer_lg.jpg url to make it work initially...so it seems there are some 404s in the varnish cache (not sure what the TTL is).

Gilles added a project: Multimedia.Via WebDec 4 2014, 10:17 AM
Gilles raised the priority of this task from "High" to "Unbreak Now!".Via WebDec 4 2014, 10:21 AM
Gilles moved this task to Closed on the Multimedia workboard.
Gilles lowered the priority of this task from "Unbreak Now!" to "High".Via ConduitDec 4 2014, 11:23 AM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.